summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorDana Robinson <derobins@hdfgroup.org>2017-04-25 06:09:55 (GMT)
committerDana Robinson <derobins@hdfgroup.org>2017-04-25 21:10:11 (GMT)
commit14bc39bcb59ce36d1d2fd156afeaf3aa7bb5ad84 (patch)
tree9ab4f1230315190fd6480e5ee71ec316f5df324b /autogen.sh
parentb962c7ad42020c762830a4740bc779423ca32ac9 (diff)
downloadhdf5-14bc39bcb59ce36d1d2fd156afeaf3aa7bb5ad84.zip
hdf5-14bc39bcb59ce36d1d2fd156afeaf3aa7bb5ad84.tar.gz
hdf5-14bc39bcb59ce36d1d2fd156afeaf3aa7bb5ad84.tar.bz2
Updated bin/trace to emit errors and reordered autogen.sh processing
so that script failures leave the library in a non-compilable state, making it harder to ignore errors.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh63
1 files changed, 34 insertions, 29 deletions
diff --git a/autogen.sh b/autogen.sh
index 58d7e36..3d33c06 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -203,6 +203,39 @@ Darwin*)
;;
esac
+# Run scripts that process source.
+#
+# These should be run before the autotools so that failures here block
+# compilation.
+
+# Run trace script
+# The trace script adds H5TRACE macros to library source files. It should
+# have no effect on files that don't have HDF5 API macros in them.
+echo "Running trace script:"
+bin/trace src/H5*.c || exit 1
+echo
+
+# Run make_err
+# make_err automatically generates the H5E headers that create error message
+# types for HDF5.
+echo "Running error generation script:"
+bin/make_err src/H5err.txt || exit 1
+echo
+
+# Run make_vers
+# make_vers automatically generates the public headers that define the API version
+# macros for HDF5.
+echo "Running API version generation script:"
+bin/make_vers src/H5vers.txt || exit 1
+echo
+
+# Run make_overflow
+# make_overflow automatically generates macros for detecting overflows for type
+# conversion.
+echo "Running overflow macro generation script:"
+bin/make_overflow src/H5overflow.txt || exit 1
+echo
+
# Run autotools in order
#
# When available, we use the --force option to ensure all files are
@@ -265,35 +298,7 @@ fi
${autoconf_cmd} || exit 1
echo
-# Run scripts that process source.
-
-# Run trace script
-# The trace script adds H5TRACE macros to library source files. It should
-# have no effect on files that don't have HDF5 API macros in them.
-echo
-echo "Running trace script:"
-bin/trace src/H5*.c || exit 1
-
-# Run make_err
-# make_err automatically generates the H5E headers that create error message
-# types for HDF5.
-echo
-echo "Running error generation script:"
-bin/make_err src/H5err.txt || exit 1
-
-# Run make_vers
-# make_vers automatically generates the public headers that define the API version
-# macros for HDF5.
-echo
-echo "Running API version generation script:"
-bin/make_vers src/H5vers.txt || exit 1
-
-# Run make_overflow
-# make_overflow automatically generates macros for detecting overflows for type
-# conversion.
-echo
-echo "Running overflow macro generation script:"
-bin/make_overflow src/H5overflow.txt || exit 1
+echo "*** SUCCESS ***"
echo
exit 0